package com.sonic.lion.lib.enums;

/**
 * @author: code
 * @date: 2025/05/07
 * @Description: 支付状态
 * @version: 1.0.0
 */
public enum TradeStatus {

    WAITPAY(1, "待付款"),

    PAID(2, "已付款"),

    PROCESSING(3, "处理中"),

    FINISHED(4, "交易成功"),

    CLOSED(5, "交易关闭"),

    REFUNDING(6, "退款中"),

    REFUNDED(7, "已退款"),
    ;

    private final int value;

    private final String desc;

    TradeStatus(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

}
